canlock-hfp(1)

NAME
canlock-hfp - CLI frontend for libcanlock library

SYNOPSIS
canlock-hfp -h | -v

canlock-hfp [-d] [-n]

DESCRIPTION
Header Field Parser (hfp) for RFC 8315 conformant header fields.

The header field is read from stdin.

The input data must be an unfolded "Cancel-Lock" or "Cancel-Key" header field without line break at the end. The utility canlock-mhp(1) can be used to extract the field from an article.

If such a header field is found, it is parsed according to the syntax defined in RFC 8315. If valid c-lock or c-key (respectively) elements are found, they are printed to stdout with SP (Space) as delimiter.

Note: Additional formatting output is printed on stderr to make the output more human readable on a terminal. Redirect stderr to /dev/null if this is not wanted.

OPTIONS
The following options are supported:

-d  Enable debug mode (messages are printed to stderr).

-h  Print help message, then exit.

-n  Prepend the data on stdout with the header field name (including the colon) and a SP (Space) delimiter.

-v  Print version and compile time options, then exit.

EXIT STATUS
Zero on success or regular exit respectively.
All other values indicate an error.

AUTHORS
Michael Baeuerle

REPORTING BUGS
Report bugs to <mailto:michael.baeuerle@gmx.net>.

STANDARDS
canlock-hfp tries to comply with the following standards:

RFC 8315

SEE ALSO
canlock-mhp(1), canlock(1)